package myprojects.jbotchallenge;

import myprojects.jbotchallenge.SocketClient;
import myprojects.jbotchallenge.GameGrid;

public class Game extends Object
{
	
	public Game(String serverName, String serverPort)
	{
		m_GameGrid = new GameGrid();
		m_OurBot = new OurBot(m_GameGrid);
		m_SocketClient = new SocketClient();
		m_SocketClient.start(serverName, Short.parseShort(serverPort), m_GameGrid, m_OurBot);
	}
	
	
	private OurBot			m_OurBot;
	private SocketClient 	m_SocketClient;
	private GameGrid		m_GameGrid;	
	private int 			m_TurnNumber;
}