package myprojects.jbotchallenge;

import java.util.*;

public class Robot extends Object
{
	
	public static final int MOVE_NORTH 	= 0;
	public static final int MOVE_SOUTH 	= 1;
	public static final int MOVE_EAST	= 2;
	public static final int MOVE_WEST	= 3;
	
	public Robot(int id, int x, int y)
	{
		m_ID = id;
		m_LocationX = x;
		m_LocationY = y;
		m_Packages = new Vector();
	}
	
	public int getID()
	{
		return m_ID;
	}
	
	public void setLocation(int x, int y)
	{
		m_LocationX = x;
		m_LocationY = y;
/*		if (x < 0)
			System.out.println("Bot[" + m_ID + "] is getting a negative position!");
		if (x < 0)
			System.out.println("Bot[" + m_ID + "] is getting a negative position!");	
		System.out.println("Bot[" + m_ID + "] is at (" + m_LocationX + ", " + m_LocationY + ")");
*/	
	}
	public int getLocationX()
	{
		return m_LocationX;
	}
	
	public int getLocationY()
	{
		return m_LocationY;	
	}
	
	/*
	public void move(int direction)
	{
		switch (direction)
		{
			case (MOVE_NORTH):
				m_LocationY++;
				break;
			case (MOVE_SOUTH):
				m_LocationY--;
				break;
			case (MOVE_EAST):
				m_LocationX++;
				break;
			case (MOVE_WEST):
				m_LocationX--;
				break;
		}
	}
	*/
	
	public void addPackage(PackageObject po)
	{
		m_Packages.add(po);
	}
	
	public void removePackage(PackageObject po)
	{
		m_Packages.remove(po);
	}
	
	private int 	m_ID;
	private Vector 	m_Packages;		// Integer ID's of packages
	private int 	m_LocationX;
	private int		m_LocationY;
	private int 	m_LastDirection;
	
	// for later use
	private float	m_ShortSloap;
	private float 	m_ShortMagnitude;
	private float	m_MediumSloap;
	private float 	m_MediumMagnitude;
	private float	m_LongSloap;
	private float 	m_LongMagnitude;
	private float 	m_ThreatRating;	
}