package myprojects.jbotchallenge;

import java.awt.Point;
import myprojects.jbotchallenge.GameGrid;

public abstract class BotFunction extends Object
{
	
/*	public static final int EVADE_PATH = 0;
	public static final int HUNT_PATH = 1;
	public static final int DELIVER_PATH = 2;
	public static final int SEEK_PATH = 3;
*/	
	public BotFunction(GameGrid gg, BotInterface bot)
	{
		m_gg = gg;
		m_bot = bot;		
	}
	
	public static int computeDistance(Point x, Point y)
	{	
		int absoluteX;
		int absoluteY;
		int distance;
		
		if (x.x > y.x)
			absoluteX = x.x - y.x;
		else
			absoluteX = y.x - x.x;
		
		if (y.y > x.y)
			absoluteY = y.y - x.y;
		else 
			absoluteY = x.y - y.y;
				
		distance = absoluteX + absoluteY;
		
		return distance;	
	}
	
	public static int computeDistance(Point p, int x, int y)
	{
		int absoluteX;
		int absoluteY;
		int distance;
		
		if (p.x > x)
			absoluteX = p.x - x;
		else
			absoluteX = x - p.x;
		
		if (p.y > y)
			absoluteY = p.y - y;
		else 
			absoluteY = y - p.y;
				
		distance = absoluteX + absoluteY;
		
		return distance;	
	}
	 
	public abstract String calcNextMove();
	
	protected abstract String choosePackages();
	
	protected abstract String calculatePath(/*int pathType*/);
	
	protected abstract String determineBid();
	
	protected abstract void cleanUp();
	
	protected GameGrid		m_gg;
	protected BotInterface	m_bot;
	protected String 		path;	
}