/* 
	BotInterface.java
	Jason C. Judt
	This file was writen for the ICFP 2002 contest and may be used by anyone, anywhere
	without restriction. Enjoy. 
*/

package myprojects.jbotchallenge;

import java.util.*;
//import myprojects.jbotchallenge.GameGrid;

public interface BotInterface
{
	public void changeState(Integer nextState);
	
	public int getMoney();
	
	public int getMaxWeight();
	
	public int getCurrentWeight();
	
	public int getID();

	public int getLocationX();
	
	public int getLocationY();
	
	public Vector getPackages();
	
	public void setCurrentPath(String path);
	
	public String getCurrentPath();
		
}