package myprojects.jbotchallenge;

import java.util.*;
import myprojects.jbotchallenge.PackageObject;

public class Group extends Object
{

	public Group()
	{
		m_Packages = new Vector();	
		m_DestinationX = -1;
		m_DestinationY = -1;
		m_Weight = 0;
		m_WeightDistanceValue = -1;
	}
	
	public Vector getPackages()
	{
		return m_Packages;	
	}
	
	public void addPackage(PackageObject po)
	{
		// for first object:
		if ((m_DestinationX == -1) && (m_DestinationY == -1))
		{
			m_DestinationX = po.getDestinationX();
			m_DestinationY = po.getDestinationY();	
		}	
		
		// for every object:
		m_Weight += po.getWeight();
		int distance = PackageObject.getShortestDistance(po, po.getDestinationX(), po.getDestinationY());
		m_WeightDistanceValue = (double) ((double) m_Weight / (double) distance);
		m_Packages.add(po);
	}
	
	public double getWDValue()
	{
		return m_WeightDistanceValue;	
	}
	
	public int getWeight()
	{
		return m_Weight;	
	}
	
	private int		m_DestinationX;
	private int 	m_DestinationY;
	private int		m_Weight;
	private double 	m_WeightDistanceValue;
	private Vector 	m_Packages;	
}