/*
 * @(#)JBotChallenge.java 1.0 02/08/30
 *
 * You can modify the template of this file in the
 * directory ..\JCreator\Templates\Template_1\Project_Name.java
 *
 * You can also create your own project template by making a new
 * folder in the directory ..\JCreator\Template\. Use the other
 * templates as examples.
 *
 */
package myprojects.jbotchallenge;

import java.net.*;
import java.io.*;

class JBotChallenge extends Object{
	
	public static void main(String args[]) {
		System.out.println("Starting JBotChallenge...");
		
		if (args.length != 2)
		{
			System.out.println("Bad number of command line args");
			System.exit(0);
		}		
		// enforce correct line terminator for network communication
		char [] lineTerminator = {10};
		String lineTerm = new String(lineTerminator);
		System.getProperties().setProperty("line.separator", lineTerm);
		JBotChallenge jbc = new JBotChallenge(args[0], args[1]);

	}
	
	public JBotChallenge()
	{
		
	}
	
	public JBotChallenge(String serverName, String serverPort) 
	{
		System.out.println("Connecting to game at " + serverName + " on port " + serverPort);
		m_Game = new Game(serverName, serverPort);
	}

	
	private Game m_Game;
	
}
